.TH wxIdleEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxIdleEvent \- See external documentation: wxIdleEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxIdleEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxidleevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIidle\fR
.RE
.LP
See also the message variant #wxIdle{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxIdleEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
canSend(Win::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxidleevent\&.html#wxidleeventcansend>\&.
.RE
.LP
.B
getMode() -> WxIdleMode
.br
.RS
.TP
Types
WxIdleMode = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxidleevent\&.html#wxidleeventgetmode>\&. 
.br
 WxIdleMode is one of ?wxIDLE_PROCESS_ALL | ?wxIDLE_PROCESS_SPECIFIED
.RE
.LP
.B
requestMore(This::wxIdleEvent()) -> ok
.br
.RS
.LP
Equivalent to requestMore(This, [])\&.
.RE
.LP
.B
requestMore(This::wxIdleEvent(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {needMore, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxidleevent\&.html#wxidleeventrequestmore>\&.
.RE
.LP
.B
moreRequested(This::wxIdleEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxidleevent\&.html#wxidleeventmorerequested>\&.
.RE
.LP
.B
setMode(Mode::WxIdleMode) -> ok
.br
.RS
.TP
Types
WxIdleMode = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxidleevent\&.html#wxidleeventsetmode>\&. 
.br
 WxIdleMode is one of ?wxIDLE_PROCESS_ALL | ?wxIDLE_PROCESS_SPECIFIED
.RE
